Name:           python-qpid
Version:	0.5.760500
Release:        5%{?dist}
Summary:        Python language client for AMQP

Group:          Development/Python
License:        Apache Software License
URL:            http://incubator.apache.org/qpid
Source0:        %{name}-%{version}.tar.gz
Patch0:         heartbeat-echo.patch
Patch1:         ssl-close.patch
Patch2:         tools-connect-timeout.patch
# svn export -r<rev> http://svn.apache.org/repos/asf/qpid/trunk/qpid/python python-qpid-0.4.<rev>
# tar czf python-qpid-0.4.<rev>.tar.gz python-qpid-0.4.<rev>
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python
BuildRequires:  python-devel

Requires:       python
Requires:       amqp >= 1.0.750054

%description
The Apache Qpid project's Python language client for AMQP.

%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%prep
%setup -q
%patch0
%patch1
%patch2
# to silence warnings:
sed -e 1d -e 2d -i setup.py
sed -e 1d -e 2d -i qpid/codec.py
sed -e 1d -e 2d -i qpid/reference.py
chmod 0644 LICENSE.txt
echo "\n" > cpp_failing_0-8.txt
echo 'amqp_spec = "%{_datadir}/amqp/amqp.0-10-qpid-errata.xml"' > qpid_config.py

%build
#empty

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{python_sitelib}/qpid
install -d $RPM_BUILD_ROOT%{python_sitelib}/qmf
install -d $RPM_BUILD_ROOT%{python_sitelib}/qpid/mllib
install -d $RPM_BUILD_ROOT%{python_sitelib}/qpid/doc
install -pm 0644 *.* qpid/* $RPM_BUILD_ROOT%{python_sitelib}/qpid
install -pm 0644 *.* qmf/* $RPM_BUILD_ROOT%{python_sitelib}/qmf
install -pm 0644 qpid_config.* $RPM_BUILD_ROOT%{python_sitelib}
install -d $RPM_BUILD_ROOT%{_bindir}
install -pm 0755 run-tests $RPM_BUILD_ROOT%{_bindir}/python-qpid-tests
install -pm 0755 commands/* $RPM_BUILD_ROOT%{_bindir}
install -pm 0644 mllib/*.* $RPM_BUILD_ROOT%{python_sitelib}/qpid/mllib
install -pm 0644 doc/*.* $RPM_BUILD_ROOT%{python_sitelib}/qpid/doc
install -d $RPM_BUILD_ROOT%{python_sitelib}/qpid/tests
install -pm 0644 tests/*.* $RPM_BUILD_ROOT%{python_sitelib}/qpid/tests
install -d $RPM_BUILD_ROOT%{python_sitelib}/qpid/tests_0-8
install -pm 0644 tests_0-8/*.* $RPM_BUILD_ROOT%{python_sitelib}/qpid/tests_0-8
install -d $RPM_BUILD_ROOT%{python_sitelib}/qpid/tests_0-9
install -pm 0644 tests_0-9/*.* $RPM_BUILD_ROOT%{python_sitelib}/qpid/tests_0-9
install -d $RPM_BUILD_ROOT%{python_sitelib}/qpid/tests_0-10
install -pm 0644 tests_0-10/*.* $RPM_BUILD_ROOT%{python_sitelib}/qpid/tests_0-10

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root,-)
%{python_sitelib}/qpid
%{python_sitelib}/qmf 
%{python_sitelib}/qpid_config.*
%{_bindir}/python-qpid-tests
%{_bindir}/qpid-*
%doc LICENSE.txt NOTICE.txt README.txt doc/test-requirements.txt

%changelog
* Wed Jun 10 2009 Rafael Schloming <rafaels@redhat.com> - 0.5.760500-5
- patch for ssl fix and connect timeout

* Tue Jun  9 2009 Rafael Schloming <rafaels@redhat.com> - 0.5.760500-4
- bumped the rev for a rebuild

* Mon Jun  8 2009 Rafael Schloming <rafaels@redhat.com> - 0.5.760500-3
- applied heartbeat echo patch

* Tue Mar 31 2009 Gordon Sim <gsim@redhat.com> - 0:0.5.760500-2
- Rebased to svn rev 760500 from qpids 0.5 branch

* Wed Mar 25 2009 Rafael Schloming <rafaels@redhat.com> - 0:0.5.758389-1
- Rebased to svn rev 758389

* Thu Mar 12 2009 Rafael Schloming <rafaels@redhat.com> - 0:0.5.752581-1
- Rebased to svn rev 752581

* Fri Mar 06 2009 Rafael Schloming <rafaels@redhat.com> - 0:0.4.751092-1
- Rebased to svn rev 751092

* Fri Mar 06 2009 Rafael Schloming <rafaels@redhat.com> - 0:0.4.750960-1
- Rebased to svn rev 750960

* Wed Mar 04 2009 Rafael Schloming <rafaels@redhat.com> - 0:0.4.750054-1
- Rebased to svn rev 750054

* Fri Feb 13 2009 Rafael Schloming <rafaels@redhat.com> - 0:0.4.743856-1
- Rebased to svn rev 743856

* Thu Feb 05 2009 Rafael Schloming <rafaels@redhat.com> - 0:0.4.741135-1
- Rebased to svn rev 741135

* Tue Jan 27 2009 Rafael Schloming <rafaels@redhat.com> - 0:0.4.738182-1
- Rebased to svn rev 738182

* Fri Jan  9 2009 Rafael Schloming <rafaels@redhat.com> - 0.4.733051-1
- Rebased to svn rev 733051

* Thu Jan  8 2009 Rafael Schloming <rafaels@redhat.com> - 0.4.732797-1
- Rebased to svn rev 732797

* Fri Nov 21 2008 Justin Ross <jross@redhat.com> - 0.3.722953-1
- Rebased to svn rev 722953

* Fri Nov 21 2008 Gordon Sim <gsim@redhat.com> - 0.3.719419-1
- Rebased to svn rev 719419

* Mon Nov 10 2008 Rafael Schloming <rafaels@redhat.com> - 0.3.712864-1
- Rebased to svn rev 712864

* Thu Oct 30 2008 Nuno Santos <nsantos@localhost.localdomain> - 0.3.709187-1
- Rebased to svn rev 709187

* Tue Oct 28 2008 Nuno Santos <nsantos@redhat.com> - 0.3.708576-1
- Rebased to svn rev 708576

* Mon Jun 16 2008 Rafael Schloming <rafaels@redhat.com> - 0.2.668378-1
- Source update for MRG RC1

* Mon Jun 16 2008 Rafael Schloming <rafaels@redhat.com> - 0.2.668345-1
- Source update for MRG RC1

* Tue Jun 10 2008 Rafael Schloming <rafaels@redhat.com> - 0.2.666398-12
- Source update for MRG RC1

* Mon Jun  9 2008 Rafael Schloming <rafaels@redhat.com> - 0.2.665776-12
- Source update for MRG RC1

* Fri May 16 2008 Rafael Schloming <rafaels@redhat.com> - 0.2.657115-12
- Imported new source tarball for MRG Beta 4

* Tue May 13 2008 Rafael Schloming <rafaels@redhat.com> - 0.2.656025-12
- Updated the amqp dependency

* Mon May 12 2008 Rafael Schloming <rafaels@redhat.com> - 0.2-11
- Install the scripts from the commands directory, update the source
  tarball, and include the svn revision number in the version.

* Mon May 12 2008 Rafael Schloming <rafaels@redhat.com> - 0.2-10
- Updated the source tarball for MRG Beta 4

* Mon Feb 11 2008  <rafaels@redhat.com> - 0.2-9
- bumped for Beta 3

* Thu Jan 24 2008 Nuno Santos <nsantos@redhat.com> - 0.1-8
- Move test script to /usr/bin

* Thu Jan 24 2008 Nuno Santos <nsantos@redhat.com> - 0.1-7
- Testrunner fixes

* Thu Jan 24 2008 Nuno Santos <nsantos@redhat.com> - 0.1-6
- Include generic tests

* Wed Jan 23 2008 Nuno Santos <nsantos@redhat.com> - 0.1-5
- Include tests for AMQP 0-10

* Mon Jan 21 2008 Gordon Sim <gsim@redhat.com> - 0.1-3
- Bumped revision

* Thu Mar 22 2007 Rafael Schloming <rafaels@redhat.com> - 0.1-1
- Initial build.
- Comply with Fedora packaging guidelines
